/*
 * Copyright (C) 2020 Alexandros Theodotou <alex at zrythm dot org>
 *
 * This file is part of ZToolkit
 *
 * ZToolkit is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ZToolkit is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with ZToolkit.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "helper.h"

#include <ztoolkit/ztk.h>

int main (
  int argc, const char* argv[])
{
  ZtkRsvgHandle * handle =
    ztk_rsvg_load_svg (argv[1]);
  ztk_assert (handle);

  int width =
    ztk_rsvg_get_width (handle);
  ztk_assert (width == 32);
  int height =
    ztk_rsvg_get_height (handle);
  ztk_assert (height == 32);

  return 0;
}
